#!/bin/bash

echo ""
echo ""
echo "Work directory = " `pwd`
echo ""
echo "E-reader filesystem = " $EREADER_ROOT
echo "-------------------"
echo ""


set_environment()
{
    if [ "$PKG_CONFIG_SYSROOT_DIR" = "" ]
    then
        echo "-- Host compilation"
        DESTDIR="/"
    else
        echo "-- Cross compilation"
	MACHINE_NAME="dr800s"
        CONFIGURE_OPTIONS="--host=arm-poky-linux-gnueabi --sysconfdir=/etc --prefix=/usr"
        DESTDIR="/usr/local/poky/eabi-glibc/arm/arm-poky-linux-gnueabi"
    fi
    export DESTDIR
}

set -e  # stop on error
set -v  # verbose
##set -x  # show executed commands


# Install build environment
set_environment
autoreconf --install --force
./configure ${CONFIGURE_OPTIONS} $*


# Build new object files
make clean
make


echo "Done ok"

