#!/bin/sh

#
# Use HAL to mount MMC/SD card
#

mount_point="/media/mmcblk0p1"
dev=`basename $mount_point`

uid=`hal-find-by-property --key info.parent --string /org/freedesktop/Hal/devices/platform_mxcmci_0_mmc_host`
if [ -z "$uid" ]
then
    echo "Nothing to mount"
    exit 1
fi

if echo $uid | grep -v -q "storage"
then
	uid=`hal-find-by-property --key info.parent --string $uid`
fi
uid=`hal-find-by-property --key block.storage_device --string $uid |grep -v $uid`
if [ ! -z "$uid" ]
then
	halevt-mount -u $uid -p $dev -m 002 -o iocharset=iso8859-1,utf8,noatime && echo "Mounted $uid on $mount_point"
else
	echo "Nothing to mount" 
fi
