#!/bin/sh


if [[ "$1" == "" ]]; then
  echo "Usage: $0 mountpoint"
  exit
fi
mountpoint="$1"


try2unmount()
{
    mountpoint="$1"

    count=0
    while [[ $count -le $2 ]]
    do
        fuser -m "$mountpoint"
        if [[ "$?" != "0" ]]; then
            echo "$0 Unmount volume at mountpoint $1..."
            halevt-umount $1
            if [[ "$?" != "0" ]]; then
                umount -l $1
            fi
            echo "$0 Done."
            exit
        fi
        count=$(( $count + 1 ))
        sleep 1
    done
}


echo "$0 Step 1: wait for gracious release of all files at $1..."
try2unmount "$mountpoint" 5

echo "$0 Step 2: send SIGTERM to applications which have files open at $1..."
pid_list=`fuser -m "$mountpoint"`
for pid in $pid_list
do
    kill $pid
done
try2unmount "$mountpoint" 10

echo "$0 Step 3: send SIGKILL to applications which have files open at $1..."
pid_list=`fuser -m "$mountpoint"`
for pid in $pid_list
do
    kill -KILL $pid
done
try2unmount "$mountpoint" 10

