#ifndef __BUSY_H__
#define __BUSY_H__

/**
 * File Name  : busy.h
 *
 * Description: Busy functions
 */

/*
 * This file is part of sysd.
 *
 * sysd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * sysd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Copyright (C) 2009 iRex Technologies B.V.
 * All rights reserved.
 */


//----------------------------------------------------------------------------
// Include Files
//----------------------------------------------------------------------------

G_BEGIN_DECLS

#include "system.h"


//----------------------------------------------------------------------------
// Definitions
//---------------------------------------------------------------------------- 
   


//----------------------------------------------------------------------------
// Forward Declarations
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
// Type Declarations
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
// Global Constants
//----------------------------------------------------------------------------


//============================================================================
// Public Functions
//============================================================================


//----------------------------------------------------------------------------
// Definitions
//---------------------------------------------------------------------------- 

gboolean is_busy_foreground     (void);
gboolean is_busy_background     (void);
gboolean busy_add_foreground    (gint sender, enum busy_dialog dialog_mode, const char* message);
gboolean busy_add_background    (gint sender);
gboolean busy_remove_foreground (gint sender);
gboolean busy_remove_background (gint sender);
void busy_set_pid               (gint sender, unsigned int pid);
void busy_reset_pid             (unsigned int pid);


G_END_DECLS

#endif /* __BUSY_H__ */
