#ifndef __CONNECTIONS_H__
#define __CONNECTIONS_H__

/**
 * File Name  : connections.h
 *
 * Description: The functions for network connectivity
 */

/*
 * This file is part of sysd.
 *
 * sysd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * sysd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Copyright (C) 2009 iRex Technologies B.V.
 * All rights reserved.
 */

#include <liberipc/eripc.h>

G_BEGIN_DECLS

gboolean    conn_add_profile    (const char *medium);
gboolean    conn_edit_profile   (const char *medium, const char *profile);

gboolean    conn_connect        (const char *ipc_service, const char *medium, const char *profile);
gboolean    conn_disconnect     (const char *ipc_service);
gboolean    conn_set_status     (gboolean is_connected, const char *medium, const char *profile, const char *reason);
gboolean    conn_status_request (const char *ipc_service);

void        conn_on_statusitem_activated (void);
void        conn_set_flightmode (gboolean is_enabled);
void        conn_update_statusbar(void);
void        conn_check_battery(gint level);
void        conn_set_initialising(gboolean is_init);
void        conn_on_enter_standby(void);
void        conn_on_leave_standby(void);

void        conn_stop(void);
gboolean    conn_is_stopped(void);
gboolean    conn_is_online(void);
gboolean    conn_is_initialising(void);

G_END_DECLS

#endif /* __CONNECTIONS_H__ */

