#ifndef __DISPLAY_H__
#define __DISPLAY_H__

/**
 * File Name  : display.h
 *
 * Description: The Display update functions
 */

/*
 * This file is part of sysd.
 *
 * sysd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * sysd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Copyright (C) 2008 iRex Technologies B.V.
 * All rights reserved.
 */

//----------------------------------------------------------------------------
// Include Files
//----------------------------------------------------------------------------


G_BEGIN_DECLS


//----------------------------------------------------------------------------
// Definitions
//---------------------------------------------------------------------------- 


//----------------------------------------------------------------------------
// Forward Declarations
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
// Type Declarations
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
// Global Constants
//----------------------------------------------------------------------------


//============================================================================
// Public Functions
//============================================================================

/**---------------------------------------------------------------------------
 *
 * Name :  display_set_services
 *
 * @brief  Initialize diplay update handling
 *
 * @param  --
 *
 * @return --
 *
 *--------------------------------------------------------------------------*/
void display_set_services(void);

/**---------------------------------------------------------------------------
 *
 * Name :  display_blank
 *
 * @brief  Erase display
 *
 * @param  --
 *
 * @return --
 *
 *--------------------------------------------------------------------------*/
void display_blank(void);

/**---------------------------------------------------------------------------
 *
 * Name :  display_busy_animation
 *
 * @brief  Show the busy animation
 *
 * @param  xpos
 * @param  ypos
 *
 * @return --
 *
 *--------------------------------------------------------------------------*/
void display_busy_animation(gint xpos, gint ypos);

/**---------------------------------------------------------------------------
 *
 * Name :  display_get_active_window
 *
 * @brief  Get the name of the active window 
 *
 * @param  --
 *
 * @return --
 *
 *--------------------------------------------------------------------------*/
gchar *display_get_active_window();

/**---------------------------------------------------------------------------
 *
 * Name :  display_cleanup_pid
 *
 * @brief  Remove PID from display information
 *
 * @param  gint Process ID
 *
 * @return --
 *
 *--------------------------------------------------------------------------*/
void display_cleanup_pid(gint pid);

void display_set_ctb_window(gint wid);
void display_set_vcom(gfloat vcom);
void display_set_waveforms(void);
void display_init(void);


G_END_DECLS

#endif /* __DISPLAY_H__*/
