#ifndef __XWINDOW_H__
#define __XWINDOW_H__

/**
 * File Name  : xwindow.h
 *
 * Description: X11 Window System functions
 */

/*
 * This file is part of sysd.
 *
 * sysd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * sysd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Copyright (C) 2008 iRex Technologies B.V.
 * All rights reserved.
 */


//----------------------------------------------------------------------------
// Include Files
//----------------------------------------------------------------------------

#include <X11/Xlib.h>

G_BEGIN_DECLS

//----------------------------------------------------------------------------
// Definitions
//---------------------------------------------------------------------------- 


//----------------------------------------------------------------------------
// Forward Declarations
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
// Type Declarations
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
// Global Constants
//----------------------------------------------------------------------------


//============================================================================
// Public Functions
//============================================================================


void     window_set_services        (void);
Window   get_application_window     (const char *app_name);
void     window_activate            (Window win);
Window   get_active_window          (void);
char     *get_application_of_window (Window win);
gint     window_get_idle_time       (void);

#if (TESTING_ON)
void print_window_list();
#endif

G_END_DECLS

#endif /* __XWINDOW_H__ */
