/*
 * File Name: blank.c
 */

/*
 * This file is part of sysd.
 *
 * sysd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * sysd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Copyright (C) 2008 iRex Technologies B.V.
 * All rights reserved.
 */

//----------------------------------------------------------------------------
// Include Files
//----------------------------------------------------------------------------

#include "config.h"

// system include files, between < >
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/ioctl.h>

// ereader include files, between < >

// local include files, between " "
#include "delta.h"


//----------------------------------------------------------------------------
// Type Declarations
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
// Global Constants
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
// Static Variables
//----------------------------------------------------------------------------


//============================================================================
// Local Function Definition
//============================================================================


//============================================================================
// Functions Implementation
//============================================================================

int main(int argc, char *argv[])
{
    int fbdev;
    int ret;
    struct display_update_info updateinfo;
    int color = 15; // white

    fbdev = open ("/dev/fb0", O_RDWR);
    
    if (argc == 2)
    {
        color = atoi(argv[1]);
    }
	
    if (fbdev == -1)	
    {
        printf("Error opening framebuffer device. # mknod /dev/fb0 c 29 0\n");
        exit(-1);
    }

    updateinfo.waveform = 0; // full
    updateinfo.color = color;
    
    color = ((color & 0xf) << 4) + color;
    printf ("Doing FBIO_DELTA_ERASE(%d)\n", color);
        
    if ((ret=ioctl(fbdev, FBIO_DELTA_ERASE, &updateinfo))) 
    { 
        printf("Error sending FBIO_DELTA_ERASE: %x\n",ret); 
        exit(-1); 
    }

    close(fbdev);

    return 0;
}
